Subject: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 12 Jun 2014 06:21:12 +0000

I am starting a new WGLC for this draft. There has been much discussion after the earlier WGLC ended, so it will be good to run this.

The direct link is:
http://tools.ietf.org/html/draft-ietf-payload-vp8-11

The WGLC will run thru July 3rd (the same deadline for the h265 payload draft). As usual, send your comments and approvals to the payload list. 

If there are undeclared IPRs, this is a good time to bring them up.

Thanks,
-acbegen (as a co-chair)

---

From: "Wang, Ye-Kui" <[email-masked]>
Date: Mon, 30 Jun 2014 08:32:08 +0000

I reviewed this draft and have the following, mostly minor, comments (otherwise, the draft looks good to me to proceed):

1. In Subsection 4.5.1, a typo in the following sentence in step 2: "it detected" -> "is detected".

	"If a loss it detected before the end of the
	partition, abandon all packets in this partition and continue the
	scan repeating 1."
   Also, I guess "repeating 1" means "repeating from step 1". If true, clarify it herein as well as in step 3 in the same subsection.

2. Nice to have but not absolutely needed: The concepts of golden frames and altref frames are mentioned. It'd be nice if a brief definition or description of them could be provided in the payload draft, such that readers of this draft can understand the concepts without having to read through the VP8 spec itself.

3. In Subsection 5.3, a typo in the following sentence: acknowledge -> acknowledged.

	Once the new golden frame is established and
	acknowledge, the same rule applies when updating the altref frame.

4. In Subsection 5.3, the real intention of the following sentence is probably to say that the receiver can keep sending SLI messages at any interval allowed by the RTCP sending timing restrictions as specified in RFC 4585, as long as the picture is corrupted. It'd better that this is clarified.

	Also, if an SLI is lost, the receiver can keep sending
	SLI messages at any interval, as long as the picture is corrupted.

5. The semantics of the max-fr is as follows. Would it be better to allow non-integer max frame rates as well such as 29.97 frames per second? It's suggested to allow this e.g. by saying that the max-fr specifies the value of the maximum frame rate times 100, something like that.

      max-fr:  The value of max-fr is an integer indicating the maximum
         frame rate in units of frames per second that the decoder is
         capable of decoding.

BR, YK

-----Original Message-----
From: payload [mailto:[email-masked]] On Behalf Of Ali C. Begen (abegen)
Sent: Wednesday, June 11, 2014 11:21 PM
To: <[email-masked]>
Subject: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

The direct link is:

Thanks,
-acbegen (as a co-chair)
_______________________________________________
payload mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/payload